package com.liang.WT.service.impl;

import com.liang.WT.entity.ProgressEntity;
import com.liang.WT.service.ProgressService;
import com.liang.dao.WT.ProgressMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2025/4/25 14:46
 * @Version 1.0
 */
@Service("ProgressService")
public class ProgressServicelmpl implements com.liang.WT.service.ProgressService {

    @Resource
    private ProgressMapper progressMapper;

    @Override
    public int add(ProgressEntity progressEntity) {
        return this.progressMapper.add(progressEntity);
    }

    @Override
    public List<ProgressEntity> getAll(Map map) {
        return this.progressMapper.getAll(map);
    }

    @Override
    public int progressDelete(Map map) {
        return this.progressMapper.progressDelete(map);
    }


}
